Bug 1002588 - UserVmManager has import_export_vm permission, but there is no such action in UserPortal.
UserVmManager has import_export_vm permission, but there is no such action in...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Ravi Nori
Ondra Machacek
infra
:
Depends On:
Blocks: 1019461
  Show dependency treegraph
 
Reported: 2013-08-29 09:42 EDT by Ondra Machacek
Modified: 2016-02-10 14:34 EST (History)
9 users (show)

See Also:
Fixed In Version: is15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 19103 None None None Never

  None (edit)
Description Ondra Machacek 2013-08-29 09:42:53 EDT
Description of problem:
UserVmManager has import_export_vm permission, but there is no such action in UserPortal. This action works OK in UserLevelAPI. Thus this action group should be removed from this role, or export/import should be added to UserPortal.

Version-Release number of selected component (if applicable):
is11

How reproducible:
always

Steps to Reproduce:
1. Try to import/export vm in UserPortal

Actual results:
Not possible

Expected results:
Possible? Or remove this action group from all users(now only UserVmManager).

Additional info:
Comment 1 Yair Zaslavsky 2013-09-07 15:56:37 EDT
Arthur
What do you think?
Any reason why we should have this permission?
I don't think we would like to develop export/import at user portal at this point (we can postpone to 3.4 if you think it's critical).
Comment 4 Ondra Machacek 2013-10-09 05:57:04 EDT
Ok is17. UserVmManager don't have import_export_vm action group.
Comment 5 Itamar Heim 2014-01-21 17:27:23 EST
Closing - RHEV 3.3 Released
Comment 6 Itamar Heim 2014-01-21 17:27:42 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:30:30 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.